# -*- coding: utf-8 -*-
if __name__=='__main__':
    #ouverture du fichier et lecture du contenu
    fichier = open('jeux_de_tests/sonde.glz','r')
    texte = fichier.read()
    fichier.close()

    #affichage de la valeur moyenne de la 3ieme colonne avec un iterateur
    fichier = open('jeux_de_tests/sonde.glz','r')
    somme = 0
    for i,ligne in enumerate(fichier.readlines()):
        mes_valeurs = list(map(float,ligne.replace('\n','').split(' ')))
        somme += mes_valeurs[-1]
    print(somme/(i+1))
    fichier.close()

    #affichage de la valeur moyenne de la 3ieme colonne avec une liste de comprehension
    fichier = open('jeux_de_tests/sonde.glz','r')
    somme = 0
    for i,ligne in enumerate(fichier.readlines()):
        mes_valeurs = [float(val) for val in ligne[0:-1].split(' ')]
        somme += mes_valeurs[-1]
    print(somme/(i+1))
    fichier.close()

